/*jshint browser: true */
/*global angular */

var app;

(function() {
  'use strict';

  app = angular.module('jetztAutoVerkaufenApp', ['ngRoute', 'ngTouch', 'ngAnimate']);

  app.config(function($routeProvider) {

    $routeProvider.when('/', {
      templateUrl: 'partials/home.html',
      controller: 'homeController'
    })

    .when('/form1', {
      templateUrl: 'partials/form1.html',
      controller: 'form1Controller'
    })

    .when('/form2', {
      templateUrl: 'partials/form2.html',
      controller: 'form2Controller'
    })

    .when('/result', {
      templateUrl: 'partials/result.html',
      controller: 'resultController'
    })

    .when('/appointment', {
      templateUrl: 'partials/appointment.html',
      controller: 'appointmentController'
    })

    .otherwise({
      redirectTo: '/'
    });
  });

  app.run(function() {
    FastClick.attach(document.body);
  });
})();

var onDeviceReady = function() {

  // var loadPushID = function() {
  //   PushNotification.isPushEnabled(function(enabled) {
  //     if (enabled) {
  //       PushNotification.getPushID(function(pushID) {
  //         app.UAPushID = pushID;
  //       });
  //     }
  //   });
  // };

  // var handleIncomingPush = function(event) {
  //   if (event.message) {
  //     console.log("Incoming push: " + event.message);
  //   } else {
  //     console.log("No incoming message");
  //   }
  // };

  // document.addEventListener('urbanairship.push', handleIncomingPush, false);

  // document.addEventListener('resume', function() {
  //   console.log('Resume');

  //   loadPushID();
  //   PushNotification.resetBadge();
  //   PushNotification.getIncoming(handleIncomingPush);

  //   // Reregister for urbanairship events if they were removed in pause event
  //   document.addEventListener('urbanairship.push', handleIncomingPush, false);
  // }, false);

  // document.addEventListener('pause', function() {
  //   console.log('Pause');

  //   // Remove urbanairship events.  Important on android to not receive push in the background.
  //   document.removeEventListener('urbanairship.push', handleIncomingPush, false);
  // }, false);

  // loadPushID();
};

document.addEventListener('deviceready', onDeviceReady, false);
