;(function() {
  'use strict';

  angular.module('jetztAutoVerkaufenApp')

  .controller('appointmentController', function($scope, dataService) {
    $scope.$on('$viewContentLoaded', function() {
      window.scrollTo(0, 0);

      var selectedBranchTime = dataService.model.selectedBranchTime;
      var mom = moment(selectedBranchTime).locale('de');
      $scope.moment = mom.format('dddd[, den] LL [um] HH:mm');

      var selectedBranch = dataService.model.selectedBranch;
      $scope.selectedBranch = selectedBranch;
      $('#openingHoursText').html($scope.selectedBranch.openingHoursText);

      var mapsURL;

      if (device.platform === 'iOS') {
        mapsURL = encodeURI('maps://?q=' + selectedBranch.street + ', ' + selectedBranch.zipcode + ' ' + selectedBranch.city);
      } else {
        mapsURL = encodeURI('http://maps.google.com/maps?q=' + selectedBranch.street + ', ' + selectedBranch.zipcode + ' ' + selectedBranch.city);
      }

      $('#gmapsURL').click(function() {
        window.open(mapsURL, '_system');
      });
    });
  });
})();
