;(function() {
  'use strict';

  angular.module('jetztAutoVerkaufenApp')

  .controller('navigationController', function($scope, $window, $location) {

    // Note: event.preventDefault() is necessary because otherwise the event handlers might be called twice

    $scope.push = function(event, path) {
      event.preventDefault();

      $scope.slide = 'slide-left';
      $location.path(path);
    };

    $scope.pop = function(event) {
      event.preventDefault();

      $scope.slide = 'slide-right';
      $window.history.back();
    };

    $scope.popToRoot = function(event) {
      event.preventDefault();

      $scope.slide = 'slide-right';
      $location.path('/');
    };

    $scope.showModal = function(event, path) {
      event.preventDefault();

      $scope.slide = 'slide-up';
      $location.path(path);
    };

    $scope.hideModal = function(event) {
      event.preventDefault();

      $scope.slide = 'slide-down';
      $window.history.back();
    };
  });
})();
