;(function() {
  'use strict';

  angular.module('jetztAutoVerkaufenApp')

  .filter('sortAlphabetically', function() {
    return function(obj) {
      var result = [];

      angular.forEach(obj, function(value, key) {
        result.push({ key: value, label: key });
      });

      result.sort(function(a, b) {
        if (a.key > b.key) { return  1; }
        if (a.key < b.key) { return -1; }
        return 0;
      });

      return result;
    };
  })

  .filter('reverseSortAlphabetically', function() {
    return function(obj) {
      var result = [];

      angular.forEach(obj, function(value, key) {
        result.push({ key: value, label: key });
      });

      result.sort(function(a, b) {
        if (a.key < b.key) { return  1; }
        if (a.key > b.key) { return -1; }
        return 0;
      });

      return result;
    };
  });
})();
